> ## Documentation Index
> Fetch the complete documentation index at: https://docs.donate.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a charity token by address

> Get a charity token for a specific chain by its address.



## OpenAPI

````yaml https://www.donate.gg/api/v1/openapi get /{chainId}/tokens/{address}
openapi: 3.0.0
info:
  title: Donate Developer API
  version: 1.0.0
  description: >-
    API for developers to list charities, create and manage donation configs.
    All endpoints require the `donate-api-key` header. Endpoints are gated by
    API scopes enabled at the organization level: Core API endpoints require the
    `core` scope (enabled by default), Partner API endpoints require the
    `partner` scope (must be explicitly granted).
servers:
  - url: /api/v1
    description: API v1 base path (relative to your dashboard origin)
security: []
paths:
  /{chainId}/tokens/{address}:
    get:
      summary: Get a charity token by address
      description: Get a charity token for a specific chain by its address.
      parameters:
        - schema:
            type: integer
            description: Chain ID
          required: true
          description: Chain ID
          name: chainId
          in: path
        - schema:
            type: string
            description: Token address
          required: true
          description: Token address
          name: address
          in: path
        - schema:
            type: string
            minLength: 1
            description: Developer API key
          required: true
          description: Developer API key
          name: donate-api-key
          in: header
      responses:
        '200':
          description: Charity token with its active config.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
          content:
            application/json:
              schema:
                type: object
                properties:
                  chain:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                      type:
                        type: string
                        enum:
                          - bitcoin
                          - evm
                          - solana
                    required:
                      - id
                      - name
                      - type
                    additionalProperties: false
                  token:
                    type: object
                    properties:
                      address:
                        type: string
                      name:
                        type: string
                      symbol:
                        type: string
                      decimals:
                        type: number
                    required:
                      - address
                      - name
                      - symbol
                      - decimals
                    additionalProperties: false
                  activeConfig:
                    type: object
                    properties:
                      id:
                        type: object
                        properties:
                          hex:
                            type: string
                          base58:
                            type: string
                        required:
                          - hex
                          - base58
                        additionalProperties: false
                      users:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            weight:
                              type: string
                          required:
                            - id
                            - weight
                          additionalProperties: false
                      charities:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            slug:
                              type: string
                            name:
                              type: string
                            logo:
                              type: string
                            website:
                              type: string
                            mission:
                              type: string
                            address:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            country:
                              type: string
                            zipCode:
                              type: string
                            taxId:
                              type: string
                            socials:
                              type: object
                              properties:
                                blog:
                                  type: string
                                  nullable: true
                                twitter:
                                  type: string
                                  nullable: true
                                facebook:
                                  type: string
                                  nullable: true
                                instagram:
                                  type: string
                                  nullable: true
                                linkedin:
                                  type: string
                                  nullable: true
                                youtube:
                                  type: string
                                  nullable: true
                                blogUrl:
                                  type: string
                                  nullable: true
                                twitterUrl:
                                  type: string
                                  nullable: true
                                twitterHandle:
                                  type: string
                                  nullable: true
                                facebookUrl:
                                  type: string
                                  nullable: true
                                facebookHandle:
                                  type: string
                                  nullable: true
                                instagramUrl:
                                  type: string
                                  nullable: true
                                instagramHandle:
                                  type: string
                                  nullable: true
                                linkedinUrl:
                                  type: string
                                  nullable: true
                                linkedinHandle:
                                  type: string
                                  nullable: true
                                youtubeUrl:
                                  type: string
                                  nullable: true
                                youtubeHandle:
                                  type: string
                                  nullable: true
                                youtubeChannelId:
                                  type: string
                                  nullable: true
                              required:
                                - blog
                                - twitter
                                - facebook
                                - instagram
                                - linkedin
                                - youtube
                                - blogUrl
                                - twitterUrl
                                - twitterHandle
                                - facebookUrl
                                - facebookHandle
                                - instagramUrl
                                - instagramHandle
                                - linkedinUrl
                                - linkedinHandle
                                - youtubeUrl
                                - youtubeHandle
                                - youtubeChannelId
                              additionalProperties: false
                            isEnabled:
                              type: boolean
                            weight:
                              type: string
                          required:
                            - id
                            - slug
                            - name
                            - logo
                            - website
                            - mission
                            - address
                            - city
                            - state
                            - country
                            - zipCode
                            - taxId
                            - socials
                            - isEnabled
                            - weight
                          additionalProperties: false
                    required:
                      - id
                      - users
                      - charities
                    additionalProperties: false
                  previousConfigs:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: object
                          properties:
                            hex:
                              type: string
                            base58:
                              type: string
                          required:
                            - hex
                            - base58
                          additionalProperties: false
                        users:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              weight:
                                type: string
                            required:
                              - id
                              - weight
                            additionalProperties: false
                        charities:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              slug:
                                type: string
                              name:
                                type: string
                              logo:
                                type: string
                              website:
                                type: string
                              mission:
                                type: string
                              address:
                                type: string
                              city:
                                type: string
                              state:
                                type: string
                              country:
                                type: string
                              zipCode:
                                type: string
                              taxId:
                                type: string
                              socials:
                                type: object
                                properties:
                                  blog:
                                    type: string
                                    nullable: true
                                  twitter:
                                    type: string
                                    nullable: true
                                  facebook:
                                    type: string
                                    nullable: true
                                  instagram:
                                    type: string
                                    nullable: true
                                  linkedin:
                                    type: string
                                    nullable: true
                                  youtube:
                                    type: string
                                    nullable: true
                                  blogUrl:
                                    type: string
                                    nullable: true
                                  twitterUrl:
                                    type: string
                                    nullable: true
                                  twitterHandle:
                                    type: string
                                    nullable: true
                                  facebookUrl:
                                    type: string
                                    nullable: true
                                  facebookHandle:
                                    type: string
                                    nullable: true
                                  instagramUrl:
                                    type: string
                                    nullable: true
                                  instagramHandle:
                                    type: string
                                    nullable: true
                                  linkedinUrl:
                                    type: string
                                    nullable: true
                                  linkedinHandle:
                                    type: string
                                    nullable: true
                                  youtubeUrl:
                                    type: string
                                    nullable: true
                                  youtubeHandle:
                                    type: string
                                    nullable: true
                                  youtubeChannelId:
                                    type: string
                                    nullable: true
                                required:
                                  - blog
                                  - twitter
                                  - facebook
                                  - instagram
                                  - linkedin
                                  - youtube
                                  - blogUrl
                                  - twitterUrl
                                  - twitterHandle
                                  - facebookUrl
                                  - facebookHandle
                                  - instagramUrl
                                  - instagramHandle
                                  - linkedinUrl
                                  - linkedinHandle
                                  - youtubeUrl
                                  - youtubeHandle
                                  - youtubeChannelId
                                additionalProperties: false
                              isEnabled:
                                type: boolean
                              weight:
                                type: string
                            required:
                              - id
                              - slug
                              - name
                              - logo
                              - website
                              - mission
                              - address
                              - city
                              - state
                              - country
                              - zipCode
                              - taxId
                              - socials
                              - isEnabled
                              - weight
                            additionalProperties: false
                      required:
                        - id
                        - users
                        - charities
                      additionalProperties: false
                  creatorAddress:
                    type: string
                required:
                  - chain
                  - token
                  - activeConfig
                  - previousConfigs
                  - creatorAddress
                additionalProperties: false
        '400':
          description: Invalid chain ID or address.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                    enum:
                      - VALIDATION_ERROR
                      - CHAIN_NOT_SUPPORTED
                  issues:
                    type: array
                    items:
                      nullable: true
                required:
                  - error
                  - code
                additionalProperties: false
        '404':
          description: Charity token not found for the specified chain and address.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                required:
                  - error
                  - code
                additionalProperties: false
        '429':
          description: >-
            Rate limit exceeded. Retry after the period indicated by the
            Retry-After header.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
            Retry-After:
              schema:
                type: integer
              description: Seconds until the client should retry.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                required:
                  - error
                  - code
                additionalProperties: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: donate-api-key
      description: >-
        Developer API key. Required for all requests. Obtain from the Donate
        dashboard.

````